Retrieve the values of a Meter Dimension.
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"meterCode": "<string>",
"dimensionName": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"attributes": [
"<string>"
],
"limit": 123
}
'import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions"
payload = {
"meterCode": "<string>",
"dimensionName": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"attributes": ["<string>"],
"limit": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
meterCode: '<string>',
dimensionName: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
attributes: ['<string>'],
limit: 123
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meterCode": "<string>",
"dimensionName": "<string>",
"dimensionValues": [
{
"dimensionAttribute": "<string>",
"dimensionValue": "<string>"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve the values of a Meter Dimension.
Retrieve the Dimensions of a Meter stored in the Data Warehouse over a period of time.
POST
/
organizations
/
{orgId}
/
dataexplorer
/
meterdimensions
Retrieve the values of a Meter Dimension.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
Body
application/json
Data Explorer meter dimensions query.
Code representing a Meter.
Minimum string length:
1The name of a Meter dimension, for example "account".
Minimum string length:
1ISO 8601 formatted start date to filter by.
ISO 8601 formatted end date to filter by.
Attributes to filter values by.
Limit the records returned.
⌘I